Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyDoc

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

- All Implemented Interfaces and Traits:
    GroovyDoc

      public class SimpleGroovyDoc
      extends Object
      implements GroovyDoc

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `ANNOTATION_DEF` |
    `static int` | `CLASS_DEF` |
    `static int` | `ENUM_DEF` |
    `static int` | `INTERFACE_DEF` |
    `static int` | `TRAIT_DEF` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyDoc(String name)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static String` | `calculateFirstSentence(String raw)`
    `` | `public String` | `commentText()`
    `` | `public int` | `compareTo(GroovyDoc that)`
    `` | `public String` | `firstSentenceCommentText()`
    `` | `public String` | `getRawCommentText()`
    `` | `public String` | `getTypeDescription()`
    `` | `public String` | `getTypeSourceDescription()`
    `` | `public boolean` | `isAnnotationType()`
    `` | `public boolean` | `isAnnotationTypeElement()`
    `` | `public boolean` | `isClass()`
    `` | `public boolean` | `isConstructor()`
    `` | `public boolean` | `isDeprecated()`
    `` | `public boolean` | `isEnum()`
    `` | `public boolean` | `isEnumConstant()`
    `` | `public boolean` | `isError()`
    `` | `public boolean` | `isException()`
    `` | `public boolean` | `isField()`
    `` | `public boolean` | `isIncluded()`
    `` | `public boolean` | `isInterface()`
    `` | `public boolean` | `isMethod()`
    `` | `public boolean` | `isOrdinaryClass()`
    `` | `public boolean` | `isScript()`
    `` | `public boolean` | `isTrait()`
    `` | `public String` | `name()`
    `` | `protected void` | `setCommentText(String commentText)`
    `` | `public void` | `setDeprecated(boolean deprecated)`
    `` | `protected void` | `setFirstSentenceCommentText(String firstSentenceCommentText)`
    `` | `public void` | `setRawCommentText(String rawCommentText)`
    `` | `public void` | `setScript(boolean script)`
    `` | `public void` | `setTokenType(int t)`
    `` | `public GroovyTag[]` | `tags()`
    `` | `public String` | `toString()`
    `` | `public int` | `tokenType()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final int ANNOTATION_DEF

    - #### public static final int CLASS_DEF

    - #### public static final int ENUM_DEF

    - #### public static final int INTERFACE_DEF

    - #### public static final int TRAIT_DEF

  - ### Constructor Detail

    - #### public SimpleGroovyDoc(String name)

  - ### Method Detail

    - #### public static String calculateFirstSentence(String raw)

    - #### @Override public String commentText()

    - #### @Override public int compareTo(GroovyDoc that)

    - #### @Override public String firstSentenceCommentText()

    - #### @Override public String getRawCommentText()

    - #### public String getTypeDescription()

    - #### public String getTypeSourceDescription()

    - #### @Override public boolean isAnnotationType()

    - #### @Override public boolean isAnnotationTypeElement()

    - #### @Override public boolean isClass()

    - #### @Override public boolean isConstructor()

    - #### @Override public boolean isDeprecated()

    - #### @Override public boolean isEnum()

    - #### @Override public boolean isEnumConstant()

    - #### @Override public boolean isError()

    - #### @Override public boolean isException()

    - #### @Override public boolean isField()

    - #### @Override public boolean isIncluded()

    - #### @Override public boolean isInterface()

    - #### @Override public boolean isMethod()

    - #### @Override public boolean isOrdinaryClass()

    - #### public boolean isScript()

    - #### public boolean isTrait()

    - #### @Override public String name()

    - #### protected void setCommentText(String commentText)

    - #### public void setDeprecated(boolean deprecated)

    - #### protected void setFirstSentenceCommentText(String firstSentenceCommentText)

    - #### @Override public void setRawCommentText(String rawCommentText)

    - #### public void setScript(boolean script)

    - #### public void setTokenType(int t)

    - #### public GroovyTag[] tags()

    - #### @Override public String toString()

    - #### public int tokenType()